language: cn
model_unique_abbr: prophet_R
version: 1.0
identification:
  docker_image_name: prophet:1.0-R
  model_name: Prophet预测
  semantic: time series forecasting
  description: 基于可加模型拟合年度、周度、日度的季节性周期变化及节假日效应的非线性趋势，实现单变量时间序列的预测
  category_application: 预测型
  category_data:
  - 时序数据
  keywords:
  - 时间序列
  - 预测
parameter_info:
  parameters:
  - arg_name: a
    param_type: input_data
    name: 输入数据
    description: 历史时序数据，必须包含日期类型列ds和时间序列取值列y
    data_type: csv
    data_semantic: input data
  - arg_name: q
    param_type: param
    name: 预测周期数
    description: 向前预测的周期数
    data_type: int
    data_semantic: interval.width
    specification:
      range:
      - "(1,)"
  - arg_name: r
    param_type: param
    name: 时间频率
    description: 序列的间隔频率，默认为'day'
    is_required: false
    data_type: enum
    data_semantic: freq
    specification:
      default: day
      enum:
      - sec
      - minute
      - hour
      - day
      - week
      - month
      - quarter
      - year
  - arg_name: s
    param_type: output_data
    name: 结果路径
    description: 结果输出的路径
    data_type: str
    data_semantic: result.path
application:
  domain: 时间序列预测
  objective: 根据输入的历史时间序列数据，预测时间序列未来的趋势
  link_models:
    preorder: []
    alternative: []
  dimension: []
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 首先将时间序列分解成趋势项，周期项，节假日项和误差项，然后通过机器学习算法stan拟合模型，累加得到时间序列的预测值
operation:
  usage: 通过输入历史时间序列数据，并指定期望预测的期数，得到时间序列未来的趋势
  exec_example:
  - docker run -v $(pwd):/prophet/data prophet:1.0-R -a data/example_wp_log_peyton_manning.csv -q 365 -s data/result
  output_display: []
  license:
  - MIT
technique:
  language:
  - R
  os:
  - Windows
  - Linux
  hardware:
  - CPU
  dependencies:
  - name: prophet
    version: 1.0
source:
  maintainer: Yuanbo Luo
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: lybnju@163.com
  references:
  - "Taylor S J, Letham B. Forecasting at scale[J]. The American Statistician, 2018, 72(1): 37-45."
